Upgrading PureMessage to Minor Versions

Important
You must perform all upgrades as the root user. You can only upgrade to the latest version of PureMessage from a supported version of PureMessage. "For information about currently supported versions, see the "PureMessage Versions and Platform Support Policy".

PureMessage includes a menu-based installer that streamlines the upgrade process. This installer launches in a console window. The window is partitioned into two sections; the left side displays installation/upgrade options, and the right side displays help text. Use the following keyboard commands to navigate the installer:

  • Tab : moves cursor from one option to another
  • Left/Right Arrow : shifts focus between the left and right panes of the installer
  • Up/Down Arrow : scrolls the text in the right pane of the installer (if the right pane has focus)
  • Space Bar : selects the highlighted option or check box(es)
  • Enter : accepts the selected options or check box(es)
Important
Sophos strongly recommends that you do not resize the installer console window once it launches. Resizing the console window may cause the installer to terminate.

Use the Upgrade PureMessage Components option in the PureMessage installer to check for PureMessage updates, download the updates, and install the updates.

Note
During upgrades, PureMessage automatically adjusts the PostgreSQL database in an attempt to improve performance. If the adjustments are successful, PureMessage displays a confirmation message. If the adjustments fail, it is likely due to the shared memory configuration of your system. PureMessage will revert the changes and create a postgresql.conf.recommended file that contains appropriate system settings. For more information, see "Tuning PostgreSQL for PureMessage" in the Sophos Knowledgebase.